tomjbe      15/05/06 05:38:52

  Modified:             ChangeLog bacula-5.2.13-r3.ebuild
                        bacula-5.0.3-r4.ebuild bacula-7.0.5-r1.ebuild
  Removed:              bacula-7.0.5.ebuild
  Log:
  Migrate to USE=sqlite (bug #548646)
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
0x762053D5)

Revision  Changes    Path
1.178                app-backup/bacula/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/ChangeLog?rev=1.178&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/ChangeLog?rev=1.178&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/ChangeLog?r1=1.177&r2=1.178

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-backup/bacula/ChangeLog,v
retrieving revision 1.177
retrieving revision 1.178
diff -u -r1.177 -r1.178
--- ChangeLog   6 May 2015 05:30:53 -0000       1.177
+++ ChangeLog   6 May 2015 05:38:52 -0000       1.178
@@ -1,6 +1,10 @@
 # ChangeLog for app-backup/bacula
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/ChangeLog,v 1.177 
2015/05/06 05:30:53 tomjbe Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/ChangeLog,v 1.178 
2015/05/06 05:38:52 tomjbe Exp $
+
+  06 May 2015; Thomas Beierlein <[email protected]> bacula-5.0.3-r4.ebuild,
+  bacula-5.2.13-r3.ebuild, -bacula-7.0.5.ebuild, bacula-7.0.5-r1.ebuild:
+  Migrate to USE=sqlite (bug #548646)
 
   06 May 2015; Thomas Beierlein <[email protected]> -bacula-5.0.3-r3.ebuild,
   -bacula-5.2.13.ebuild:



1.3                  app-backup/bacula/bacula-5.2.13-r3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-5.2.13-r3.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-5.2.13-r3.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-5.2.13-r3.ebuild?r1=1.2&r2=1.3

Index: bacula-5.2.13-r3.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-5.2.13-r3.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bacula-5.2.13-r3.ebuild     23 Feb 2015 15:05:30 -0000      1.2
+++ bacula-5.2.13-r3.ebuild     6 May 2015 05:38:52 -0000       1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-5.2.13-r3.ebuild,v 
1.2 2015/02/23 15:05:30 tomjbe Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-5.2.13-r3.ebuild,v 
1.3 2015/05/06 05:38:52 tomjbe Exp $
 
 EAPI="5"
 
@@ -19,14 +19,14 @@
 LICENSE="AGPL-3"
 SLOT="0"
 KEYWORDS=" ~amd64 ~ppc ~sparc ~x86"
-IUSE="acl bacula-clientonly bacula-nodir bacula-nosd examples ipv6 logwatch 
mysql postgres python qt4 readline +sqlite3 ssl static tcpd vim-syntax X"
+IUSE="acl bacula-clientonly bacula-nodir bacula-nosd examples ipv6 logwatch 
mysql postgres python qt4 readline +sqlite ssl static tcpd vim-syntax X"
 
 DEPEND="
        dev-libs/gmp
        !bacula-clientonly? (
                postgres? ( dev-db/postgresql[threads] )
                mysql? ( virtual/mysql )
-               sqlite3? ( dev-db/sqlite:3 )
+               sqlite? ( dev-db/sqlite:3 )
                !bacula-nodir? ( virtual/mta )
        )
        qt4? (
@@ -61,7 +61,7 @@
        )
        vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
 
-REQUIRED_USE="|| ( ^^ ( mysql postgres sqlite3 ) bacula-clientonly )
+REQUIRED_USE="|| ( ^^ ( mysql postgres sqlite ) bacula-clientonly )
                                static? ( bacula-clientonly )
                                python? ( ${PYTHON_REQUIRED_USE} )"
 
@@ -71,7 +71,7 @@
        #XOR and !bacula-clientonly controlled by REQUIRED_USE
        use mysql && export mydbtype="mysql"
        use postgres && export mydbtype="postgresql"
-       use sqlite3 && export mydbtype="sqlite3"
+       use sqlite && export mydbtype="sqlite3"
 
        # create the daemon group and user
        if [ -z "$(egetent group bacula 2>/dev/null)" ]; then
@@ -352,7 +352,7 @@
                        bacula-dir)
                                case "${mydbtype}" in
                                        sqlite3)
-                                               # sqlite3 databases don't have 
a daemon
+                                               # sqlite databases don't have a 
daemon
                                                sed -i -e 's/need 
"%database%"/:/g' "${T}/${script}".initd || die
                                                ;;
                                        *)
@@ -397,7 +397,7 @@
                einfo
        fi
 
-       if use sqlite3; then
+       if use sqlite; then
                einfo
                einfo "Be aware that Bacula does not officially support SQLite 
database anymore."
                einfo "Best use it only for a client-only installation. See Bug 
#445540."



1.3                  app-backup/bacula/bacula-5.0.3-r4.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-5.0.3-r4.ebuild?rev=1.3&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-5.0.3-r4.ebuild?rev=1.3&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-5.0.3-r4.ebuild?r1=1.2&r2=1.3

Index: bacula-5.0.3-r4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-5.0.3-r4.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- bacula-5.0.3-r4.ebuild      23 Feb 2015 15:05:30 -0000      1.2
+++ bacula-5.0.3-r4.ebuild      6 May 2015 05:38:52 -0000       1.3
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-5.0.3-r4.ebuild,v 
1.2 2015/02/23 15:05:30 tomjbe Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-5.0.3-r4.ebuild,v 
1.3 2015/05/06 05:38:52 tomjbe Exp $
 
 EAPI="5"
 
@@ -23,7 +23,7 @@
 LICENSE="AGPL-3"
 SLOT="0"
 KEYWORDS="~amd64 ~ppc ~sparc ~x86"
-IUSE="acl bacula-clientonly bacula-nodir bacula-nosd ipv6 logwatch mysql 
postgres python qt4 readline +sqlite3 ssl static tcpd vim-syntax X"
+IUSE="acl bacula-clientonly bacula-nodir bacula-nosd ipv6 logwatch mysql 
postgres python qt4 readline +sqlite ssl static tcpd vim-syntax X"
 
 # maintainer comment:
 # postgresql-base should have USE=threads (see bug 326333) but fails to build
@@ -34,7 +34,7 @@
        !bacula-clientonly? (
                postgres? ( dev-db/postgresql[threads] )
                mysql? ( virtual/mysql )
-               sqlite3? ( dev-db/sqlite:3 )
+               sqlite? ( dev-db/sqlite:3 )
                !bacula-nodir? ( virtual/mta )
        )
        qt4? (
@@ -67,7 +67,7 @@
        )
        vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
 
-REQUIRED_USE="|| ( ^^ ( mysql postgres sqlite3 ) bacula-clientonly )
+REQUIRED_USE="|| ( ^^ ( mysql postgres sqlite ) bacula-clientonly )
                                static? ( bacula-clientonly )
                                python? ( ${PYTHON_REQUIRED_USE} )"
 
@@ -77,7 +77,7 @@
        #XOR and !bacula-clientonly controlled by REQUIRED_USE
        use mysql && export mydbtype="mysql"
        use postgres && export mydbtype="postgresql"
-       use sqlite3 && export mydbtype="sqlite3"
+       use sqlite && export mydbtype="sqlite3"
 
        # create the daemon group and user
        if [ -z "$(egetent group bacula 2>/dev/null)" ]; then
@@ -333,7 +333,7 @@
                        bacula-dir)
                                case "${mydbtype}" in
                                        sqlite3)
-                                               # sqlite3 databases don't have 
a daemon
+                                               # sqlite databases don't have a 
daemon
                                                sed -i -e 's/need 
"%database%"/:/g' "${T}/${script}".initd || die
                                                ;;
                                        *)



1.8                  app-backup/bacula/bacula-7.0.5-r1.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-7.0.5-r1.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-7.0.5-r1.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/app-backup/bacula/bacula-7.0.5-r1.ebuild?r1=1.7&r2=1.8

Index: bacula-7.0.5-r1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-7.0.5-r1.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- bacula-7.0.5-r1.ebuild      19 Apr 2015 07:03:22 -0000      1.7
+++ bacula-7.0.5-r1.ebuild      6 May 2015 05:38:52 -0000       1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-7.0.5-r1.ebuild,v 
1.7 2015/04/19 07:03:22 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-backup/bacula/bacula-7.0.5-r1.ebuild,v 
1.8 2015/05/06 05:38:52 tomjbe Exp $
 
 EAPI="5"
 
@@ -16,14 +16,14 @@
 LICENSE="AGPL-3"
 SLOT="0"
 KEYWORDS="amd64 ppc sparc x86"
-IUSE="acl bacula-clientonly bacula-nodir bacula-nosd examples ipv6 logwatch 
mysql postgres qt4 readline +sqlite3 ssl static tcpd vim-syntax X"
+IUSE="acl bacula-clientonly bacula-nodir bacula-nosd examples ipv6 logwatch 
mysql postgres qt4 readline +sqlite ssl static tcpd vim-syntax X"
 
 DEPEND="
        dev-libs/gmp
        !bacula-clientonly? (
                postgres? ( dev-db/postgresql[threads] )
                mysql? ( virtual/mysql )
-               sqlite3? ( dev-db/sqlite:3 )
+               sqlite? ( dev-db/sqlite:3 )
                !bacula-nodir? ( virtual/mta )
        )
        qt4? (
@@ -56,7 +56,7 @@
        )
        vim-syntax? ( || ( app-editors/vim app-editors/gvim ) )"
 
-REQUIRED_USE="|| ( ^^ ( mysql postgres sqlite3 ) bacula-clientonly )
+REQUIRED_USE="|| ( ^^ ( mysql postgres sqlite ) bacula-clientonly )
                                static? ( bacula-clientonly )"
 
 S=${WORKDIR}/${MY_P}
@@ -65,7 +65,7 @@
        #XOR and !bacula-clientonly controlled by REQUIRED_USE
        use mysql && export mydbtype="mysql"
        use postgres && export mydbtype="postgresql"
-       use sqlite3 && export mydbtype="sqlite3"
+       use sqlite && export mydbtype="sqlite3"
 
        # create the daemon group and user
        if [ -z "$(egetent group bacula 2>/dev/null)" ]; then
@@ -345,7 +345,7 @@
                        bacula-dir)
                                case "${mydbtype}" in
                                        sqlite3)
-                                               # sqlite3 databases don't have 
a daemon
+                                               # sqlite databases don't have a 
daemon
                                                sed -i -e 's/need 
"%database%"/:/g' "${T}/${script}".initd || die
                                                ;;
                                        *)
@@ -390,7 +390,7 @@
                einfo
        fi
 
-       if use sqlite3; then
+       if use sqlite; then
                einfo
                einfo "Be aware that Bacula does not officially support SQLite 
database anymore."
                einfo "Best use it only for a client-only installation. See Bug 
#445540."




Reply via email to